type color = Red | Green | Blue | Cyan | Magenta | Yellow | Black | White | Unspecified
and size = T0 | T1 | T2 | T3 | T4 | T5 | T6 | T7 | T8 | T9 | Tnone
and prop = 
    {mutable b:bool;
     mutable em:bool;
     mutable i:bool;
     mutable s:bool; 
     mutable tt:bool;
     mutable u:int;
     mutable size:size;
     mutable color:color} 
and  doc =
    Dtag_B of doc
  | Dtag_EM of doc
  | Dtag_I of doc
  | Dtag_PL of doc
  | Dtag_S of doc
  | Dtag_TT of doc
  | Dtag_U of doc
  | Dtag_color of doc * color
  | Dtag_size of doc * size
  | Dlist of doc list
  | Dstring of string
and tdoc = { mutable expr : tdoc_expr ; mutable prop : prop }
and tdoc_expr = 
    Ttag_B of tdoc
  | Ttag_EM of tdoc
  | Ttag_I of tdoc
  | Ttag_PL of tdoc
  | Ttag_S of tdoc
  | Ttag_TT of tdoc
  | Ttag_U of tdoc
  | Ttag_color of tdoc * color
  | Ttag_size of tdoc * size
  | Tlist of tdoc list
  | Tstring of string


val opts : (string * ((tdoc -> tdoc)*int)) list ref

(* chaque personne enregistre sa fonction d'optimisation *)
val register : string -> (tdoc -> tdoc) -> int -> unit

val prop_root : prop
